Bug 857582 - SELinux is preventing /usr/bin/totem-video-thumbnailer from 'write' accesses on the file /SYSVbabeface (deleted).
SELinux is preventing /usr/bin/totem-video-thumbnailer from 'write' accesses ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:06b6af9fdbe007f818d6513a9e4...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-14 20:38 EDT by Rafael Louback Ferraz
Modified: 2012-10-17 04:04 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-17 04:04:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: type (9 bytes, text/plain)
2012-09-14 20:38 EDT, Rafael Louback Ferraz
no flags Details
File: hashmarkername (14 bytes, text/plain)
2012-09-14 20:38 EDT, Rafael Louback Ferraz
no flags Details

  None (edit)
Description Rafael Louback Ferraz 2012-09-14 20:38:03 EDT
Additional info:
libreport version: 2.0.13
kernel:         3.5.3-1.fc17.x86_64

description:
:SELinux is preventing /usr/bin/totem-video-thumbnailer from 'write' accesses on the file /SYSVbabeface (deleted).
:
:*****  Plugin restorecon (99.5 confidence) suggests  *************************
:
:If você deseja reparar este rótulo.
:/SYSVbabeface (deleted) rótulo padrão deve ser etc_runtime_t.
:Then você pode executar o restorecon.
:Do
:# /sbin/restorecon -v /SYSVbabeface (deleted)
:
:*****  Plugin catchall (1.49 confidence) suggests  ***************************
:
:If você acredita que o totem-video-thumbnailer deva ser permitido acesso de write em SYSVbabeface (deleted) file  por default.
:Then você precisa reportar este como um erro.
:Você pode gerar um módulo de política local para permitir este acesso.
:Do
:permitir este acesso agora executando:
:# grep matroskademux0: /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023
:Target Context                unconfined_u:object_r:tmpfs_t:s0
:Target Objects                /SYSVbabeface (deleted) [ file ]
:Source                        matroskademux0:
:Source Path                   /usr/bin/totem-video-thumbnailer
:Port                          <Desconhecido>
:Host                          (removed)
:Source RPM Packages           totem-3.4.3-1.fc17.x86_64
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-146.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.5.3-1.fc17.x86_64 #1 SMP Wed Aug
:                              29 18:46:34 UTC 2012 x86_64 x86_64
:Alert Count                   1
:First Seen                    2012-09-14 21:36:29 BRT
:Last Seen                     2012-09-14 21:36:29 BRT
:Local ID                      97e33594-6a8a-40e3-bd25-d9a72077454c
:
:Raw Audit Messages
:type=AVC msg=audit(1347669389.9:57): avc:  denied  { write } for  pid=1915 comm="matroskademux0:" path=2F535953566261626566616365202864656C6574656429 dev="tmpfs" ino=327681 scontext=unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:tmpfs_t:s0 tclass=file
:
:
:type=SYSCALL msg=audit(1347669389.9:57): arch=x86_64 syscall=shmat success=no exit=EACCES a0=50001 a1=0 a2=0 a3=243ee9c items=0 ppid=1903 pid=1915 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 tty=(none) ses=1 comm=matroskademux0: exe=/usr/bin/totem-video-thumbnailer subj=unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023 key=(null)
:
:Hash: matroskademux0:,thumb_t,tmpfs_t,file,write
:
:audit2allow
:
:#============= thumb_t ==============
:allow thumb_t tmpfs_t:file write;
:
:audit2allow -R
:
:#============= thumb_t ==============
:allow thumb_t tmpfs_t:file write;
:
Comment 1 Rafael Louback Ferraz 2012-09-14 20:38:07 EDT
Created attachment 613017 [details]
File: type
Comment 2 Rafael Louback Ferraz 2012-09-14 20:38:09 EDT
Created attachment 613018 [details]
File: hashmarkername
Comment 3 Daniel Walsh 2012-09-17 19:29:11 EDT
Fixed in selinux-policy-3.11.1-21.fc18.noarch

Need to back port to F17
Comment 4 Miroslav Grepl 2012-10-17 04:04:42 EDT
Should be there.

Note You need to log in before you can comment on or make changes to this bug.